Bug 242282 - Problem with Copy/Paste - copying text from the terminal does not work
Summary: Problem with Copy/Paste - copying text from the terminal does not work
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-02 23:23 UTC by Sergey Bostandzhyan
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-02 23:41:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sergey Bostandzhyan 2007-06-02 23:23:46 UTC
Description of problem:

Text can not be copied from gnome-terminal. 
Tried the usual mouse-selection and also Copy from the menu, it seems that the 
selection is simply ignored.

Text can be pasted into the terminal from other applications (i.e. from Firefox,
gedit, etc.)

Version-Release number of selected component (if applicable):
gnome-terminal-2.18.0-1.fc7

How reproducible:
Simply select some text in gnome-terminal using your mouse, then hit the
middle-mouse button to paste it. 

Actual results:
If anything from another application was selected before, it will get pasted
into the terminal.

Expected results:
The last selection, the one we just made in the terminal should get pasted.


Additional info:
This is a fresh FC7 installation, I did not do anything extraordinary, I started
a couple of gnome terminals and immediately noticed the problem.

Copy/Paste between other applications works as always, pasting into the terminal
works too, copying text from it does not.

Comment 1 Sergey Bostandzhyan 2007-06-02 23:41:54 UTC
After restarting X it magically started to work again...

Comment 2 Dimitris 2007-07-25 11:32:32 UTC
Same thing happens here.

It seems its a wide spread problem but happens occasionally and when X is
restarted the problem goes away.



Note You need to log in before you can comment on or make changes to this bug.